Difference between revisions of "Draft ShapeString/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Se la modalità dell'interfaccia di Draft è impostata su Vista azioni: # Premere il pulsante {{Button|Image:Draft_ShapeString16.png [[Draft_ShapeString/it|Forma da testo]...")
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav/it|[[Draft_Point/it|Punto]]|[[Draft_Facebinder/it|Lega facce]]|[[Draft_Module/it|Draft]]|IconL=Draft_Point.svg |IconC=Workbench_Draft.svg|IconR=Draft_Facebinder.svg }}
+
{{Docnav/it
 +
|[[Draft_Point/it|Punto]]
 +
|[[Draft_Facebinder/it|Lega facce]]
 +
|[[Draft_Module/it|Draft]]
 +
|IconL=Draft_Point.svg  
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Facebinder.svg  
 +
}}
  
{{GuiCommand/it|Name=Draft_ShapeString|Name/it=ShapeString|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]|MenuLocation=Draft → Forma da testo...|Shortcut=S S|SeeAlso=[[Draft Text/it|Testo Draft]], [[Part Extrude/it|Part Estrusione]],<br /> [[Macro_Fonts_Win10_PYMP/it|Macro Fonts Win10 PYMP]] [[Image:Macro_Fonts_Win10_PYMP.png|24px]]|Version=0.14}}
+
{{GuiCommand/it
 +
|Name=Draft_ShapeString
 +
|Name/it=ShapeString
 +
|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Arch]]
 +
|MenuLocation=Draft → Forma da testo...
 +
|Shortcut={{KEY|S}} {{KEY|S}}
 +
|SeeAlso=[[Draft Text/it|Testo Draft]], [[Part Extrude/it|Part Estrusione]],<br /> [[Macro_Fonts_Win10_PYMP/it|Macro Fonts Win10 PYMP]] [[Image:Macro_Fonts_Win10_PYMP.png|24px]]
 +
|Version=0.14}}
  
 
==Descrizione==
 
==Descrizione==
Line 10: Line 24:
 
La forma risultante può essere utilizzata con lo strumento [[Part Extrude/it|Estrusione]] di Part per creare lettere 3D.
 
La forma risultante può essere utilizzata con lo strumento [[Part Extrude/it|Estrusione]] di Part per creare lettere 3D.
  
Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare [[Draft Text/it|Testo]]. Per creare un'etichetta di testo con una linea guida e una freccia usare [[Draft Label/it|Etichetta]].
+
Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare [[Image:Draft_Text.svg|24px]] [[Draft Text/it|Testo]]. Per creare un'etichetta di testo con una linea guida e una freccia usare [[Image:Draft_Label.svg|24px]] [[Draft Label/it|Etichetta]].
  
 
[[Image:Draft_ShapeString_Example400.png]]
 
[[Image:Draft_ShapeString_Example400.png]]
 
{{Caption|Per posizionare una Shapestring basta un singolo punto}}
 
{{Caption|Per posizionare una Shapestring basta un singolo punto}}
  
== Utilizzo ==
+
==Utilizzo==
  
 
Se la modalità dell'interfaccia di Draft è impostata su ToolBar:
 
Se la modalità dell'interfaccia di Draft è impostata su ToolBar:
# Premere il pulsante {{Button|[[Image:Draft_ShapeString16.png]] [[Draft_ShapeString/it|Forma da testo...]]}} , o premere i tasti {{KEY|S}} e poi {{KEY|S}}.
+
# Premere il pulsante {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString/it|Forma da testo...]]}} , o premere i tasti {{KEY|S}} e poi {{KEY|S}}.
 
# Selezionare un punto nella vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate]] e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|aggiungi punto]]}}.
 
# Selezionare un punto nella vista 3D, o digitare le sue [[Draft_Coordinates/it|coordinate]] e poi premere il pulsante {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/it|aggiungi punto]]}}.
 
# Immettere il testo desiderato e premere {{KEY|Invio}}.
 
# Immettere il testo desiderato e premere {{KEY|Invio}}.
Line 27: Line 41:
  
 
Se la modalità dell'interfaccia di Draft è impostata su Vista azioni:
 
Se la modalità dell'interfaccia di Draft è impostata su Vista azioni:
# Premere il pulsante {{Button|[[Image:Draft_ShapeString16.png]] [[Draft_ShapeString/it|Forma da testo]]}}, o premere i tasti {{KEY|S}} e poi {{KEY|S}}.
+
# Premere il pulsante {{Button|[[Image:Draft_ShapeString.svg|16px]] [[Draft_ShapeString/it|Forma da testo]]}}, o premere i tasti {{KEY|S}} e poi {{KEY|S}}.
 
# Appare una finestra di dialogo in cui è possibile specificare i parametri.  
 
# Appare una finestra di dialogo in cui è possibile specificare i parametri.  
 
# Premere {{KEY|OK}} per creare la forma dal testo.  
 
# Premere {{KEY|OK}} per creare la forma dal testo.  
  
  
<div class="mw-translate-fuzzy">
+
* Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando i valori nell'editor delle proprietà.
Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando le proprietà della forma.
+
* Si deve impostare il file di caratteri predefinito nelle [[Draft Preferences/it|Preferenze di Draft]], nella scheda {{Button|Testi e dimensioni}}. Questo precompila la casella del file del carattere nella finestra di dialogo.
</div>
+
*I font supportati includono TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).
  
 
=== Limitazioni ===
 
=== Limitazioni ===
 
* Altezze di testo molto ridotte possono causare deformazioni delle forme del carattere a causa della perdita di dettagli nel ridimensionamento.
 
* Altezze di testo molto ridotte possono causare deformazioni delle forme del carattere a causa della perdita di dettagli nel ridimensionamento.
 
* La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
 
* La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
* Per creare un testo curvo è possibile utilizzare la macro {{Button|[[File:FCCircularTextButtom.png|24px]] [[Macro_Circular Text/it|Testo circolare]]}}.
+
* Per creare un testo curvo è possibile utilizzare la macro {{Button|[[File:FCCircularTextButtom.png|24px]] [[Macro_FCCircularText/it|Testo circolare]]}}.
  
 
== Opzioni ==
 
== Opzioni ==
Line 72: Line 86:
 
Esempio:
 
Esempio:
 
{{Code|code=
 
{{Code|code=
import FreeCAD, Draft
+
import FreeCAD as App
 +
import Draft
 +
 
 +
doc = App.newDocument()
  
 
font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
 
font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
Line 82: Line 99:
 
S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)
 
S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)
  
ZAxis = FreeCAD.Vector(0, 0, 1)
+
ZAxis = App.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
+
p2 = App.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
+
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
 
S2.Placement = place2
 
S2.Placement = place2
  
 
S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
 
S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
+
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)
+
S3.Placement.Rotation = App.Rotation(ZAxis, 180)
 +
 
 +
doc.recompute()
 
}}
 
}}
  
 
==Tutorial==
 
==Tutorial==
 +
 
* [[Draft_ShapeString_tutorial/it|Tutorial Forma da testo - ShapeString]]: come estrudere un testo, posizionarlo nello spazio 3D e creare un'incisione in un altro corpo.
 
* [[Draft_ShapeString_tutorial/it|Tutorial Forma da testo - ShapeString]]: come estrudere un testo, posizionarlo nello spazio 3D e creare un'incisione in un altro corpo.
* [https://forum.freecadweb.org/viewtopic.php?f=3&t=36623| Nice write up on using ShapeString with PartDesign]
+
* [https://forum.freecadweb.org/viewtopic.php?f=3&t=36623 How to use ShapeStrings in PartDesign]
  
{{Docnav/it|[[Draft_Point/it|Punto]]|[[Draft_Facebinder/it|Lega facce]]|[[Draft_Module/it|Draft]]|IconL=Draft_Point.svg |IconC=Workbench_Draft.svg|IconR=Draft_Facebinder.svg }}
+
==Note==
  
{{Draft Tools navi/it}}
+
* Molti caratteri generano problemi geometrici. Questo perché i contorni dei caratteri possono sovrapporsi, avere piccoli spazi vuoti e direzioni diverse all'interno di un glifo. Queste condizioni sono considerate errori nei contorni utilizzati per definire le facce. Le opzioni sono di correggere la definizione del carattere con uno strumento come FontForge o di usare un altro carattere.
 +
 
 +
{{Docnav/it
 +
|[[Draft_Point/it|Punto]]
 +
|[[Draft_Facebinder/it|Lega facce]]
 +
|[[Draft_Module/it|Draft]]
 +
|IconL=Draft_Point.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_Facebinder.svg
 +
}}
  
{{Userdocnavi/it}}
+
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}
 
{{clear}}
 
{{clear}}

Latest revision as of 20:11, 24 May 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg ShapeString

Nome nel codice
Draft_ShapeString
Posizione nel menu
Draft → Forma da testo...
Ambiente
Draft, Arch
Avvio veloce
S S
Introdotto nella versione
0.14
Vedere anche
Testo Draft, Part Estrusione,
Macro Fonts Win10 PYMP Macro Fonts Win10 PYMP.png


Descrizione

Lo strumento ShapeString inserisce una forma composta che riproduce una stringa di testo in un dato punto del documento corrente. Si possono definire gli attributi del testo quali altezza, tipo di carattere, ecc.. La forma risultante può essere utilizzata con lo strumento Estrusione di Part per creare lettere 3D.

Per inserire un elemento di testo più semplice senza una forma chiusa, utilizzare Draft Text.svg Testo. Per creare un'etichetta di testo con una linea guida e una freccia usare Draft Label.svg Etichetta.

Draft ShapeString Example400.png

Per posizionare una Shapestring basta un singolo punto


Utilizzo

Se la modalità dell'interfaccia di Draft è impostata su ToolBar:

  1. Premere il pulsante Draft ShapeString.svg Forma da testo... , o premere i tasti S e poi S.
  2. Selezionare un punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Immettere il testo desiderato e premere Invio.
  4. Immettere la dimensione desiderata e premere Invio.
  5. Immettere il percorso desiderato e premere Invio.
  6. Premere Invio per accettare il file di font visualizzato, o premere ... per selezionare un file di font.

SSFontSelect.png

Se la modalità dell'interfaccia di Draft è impostata su Vista azioni:

  1. Premere il pulsante Draft ShapeString.svg Forma da testo, o premere i tasti S e poi S.
  2. Appare una finestra di dialogo in cui è possibile specificare i parametri.
  3. Premere OK per creare la forma dal testo.


  • Il testo, le dimensioni, il percorso e il carattere possono essere modificati dopo la creazione, modificando i valori nell'editor delle proprietà.
  • Si deve impostare il file di caratteri predefinito nelle Preferenze di Draft, nella scheda Testi e dimensioni. Questo precompila la casella del file del carattere nella finestra di dialogo.
  • I font supportati includono TrueType (.ttf), OpenType (.otf), and Type 1 (.pfb).

Limitazioni

  • Altezze di testo molto ridotte possono causare deformazioni delle forme del carattere a causa della perdita di dettagli nel ridimensionamento.
  • La versione corrente mostra solo un testo scritto in orizzontale da sinistra a destra.
  • Per creare un testo curvo è possibile utilizzare la macro FCCircularTextButtom.png Testo circolare.

Opzioni

  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z.. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Proprietà

  • DataPosition: specifica la posizione del punto base della forma composta.
  • DataAngle: specifica la rotazione della linea di base della forma.
  • DataAxis: specifica l'asse da utilizzare per la rotazione.
  • DataString: specifica la stringa di testo da visualizzare; a differenza dello strumento Testo, Forma da testo può visualizzare solo una singola riga.
  • DataSize: specifica l'altezza generale delle lettere.
  • DataTracking: specifica la spaziatura inter-carattere aggiuntiva nella stringa.
  • DataFont File: specifica il percorso completo del file di font utilizzato per disegnare la stringa.

Script

Vedere anche: API Draft e Nozioni di base sugli script di FreeCAD.

Lo strumento ShapeString può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Crea una forma composta ShapeString usando la String specificata e il percorso completo di un FontFile supportato.
  • Size è l'altezza in millimetri del testo risultante.
  • Tracking è la spaziatura aggiuntiva tra i caratteri, in millimetri.

Il posizionamento di ShapeString può essere cambiato sovrascrivendo il suo attributo Placement, o sovrascrivendo singolarmente i suoi attributi Placement.Base e Placement.Rotation.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = App.Vector(0, 0, 1)
p2 = App.Vector(-1000, 500, 0)
place2 = App.Placement(p2, App.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = App.Vector(0, -1000, 0)
S3.Placement.Rotation = App.Rotation(ZAxis, 180)

doc.recompute()

Tutorial

Note

  • Molti caratteri generano problemi geometrici. Questo perché i contorni dei caratteri possono sovrapporsi, avere piccoli spazi vuoti e direzioni diverse all'interno di un glifo. Queste condizioni sono considerate errori nei contorni utilizzati per definire le facce. Le opzioni sono di correggere la definizione del carattere con uno strumento come FontForge o di usare un altro carattere.
Arrow-left.svg Draft Point.svg Punto Pagina precedente:
Pagina successiva: Lega facce Draft Facebinder.svg Arrow-right.svg